<?xml version="1.0" encoding="UTF-8"?>
<TVACATION_ACCRUAL desc_thai="วันลาพักร้อน" desc_eng="TVACATION_ACCRUAL" editcheck="true" mainhelp="" referhelp="employeeid" mainkey="" fieldsystem="*" protype="table" deleteflag="true" config_field="">
	<FIELD>
		<EMPLOYEEID lang="A" encrypt="false" log="false" type="String">
			<KEY>1</KEY>
			<RELATION>MEMPLOYEE</RELATION>
			<WIDTH>15</WIDTH>
			<DESC_ENG>Employee ID</DESC_ENG>
			<DESC_THAI>รหัสพนักงาน</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>15</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Employee ID</ALT_ENG>
				<ALT_THAI>รหัสพนักงาน</ALT_THAI>
			</COMPONENT>
		</EMPLOYEEID>
		
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>10</WIDTH>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Company ID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
		</COMPANYID>
		
		<START_PERIOD lang="A" encrypt="false" log="false" type="String" reportdate="true">
			<KEY>3</KEY>
			<WIDTH>10</WIDTH>
			<DESC_ENG>Start Period</DESC_ENG>
			<DESC_THAI>วันที่เริ่ม</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Start Period</ALT_ENG>
				<ALT_THAI>วันที่เริ่ม</ALT_THAI>
			</COMPONENT>
		</START_PERIOD>
		
		<END_PERIOD lang="A" encrypt="false" log="false" type="String" reportdate="true">
			<KEY>4</KEY>
			<WIDTH>10</WIDTH>
			<DESC_ENG>End Period</DESC_ENG>
			<DESC_THAI>วันที่สิ้นสุด</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>End Period</ALT_ENG>
				<ALT_THAI>วันที่สิ้นสุด</ALT_THAI>
			</COMPONENT>
		</END_PERIOD>
		
		<YEAR lang="A" encrypt="false" log="false" type="String">
			<KEY>5</KEY>
			<WIDTH>4</WIDTH>
			<DESC_ENG>YEAR</DESC_ENG>
			<DESC_THAI>ปี</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>4</SIZE>
				<ALT_ENG>YEAR</ALT_ENG>
				<ALT_THAI>ปี</ALT_THAI>
			</COMPONENT>
		</YEAR>

		<PERIODGROUP lang="A" encrypt="false" log="false" type="String">
			<KEY>6</KEY>
			<WIDTH>20</WIDTH>
			<RELATION>MVACATION_PERIOD_GROUP</RELATION>
			<DESC_ENG>Period Group</DESC_ENG>
			<DESC_THAI>กลุ่มการจัดงวด</DESC_THAI>
			<COMPONENT type="text">
			    <MAXSIZE>20</MAXSIZE>
				<SIZE>20</SIZE>
				<ALT_ENG>Period Group</ALT_ENG>
				<ALT_THAI>กลุ่มการจัดงวด</ALT_THAI>
			</COMPONENT>
		</PERIODGROUP>

		<EVENTGRP lang="A" encrypt="false" log="false" type="String">
			<KEY>7</KEY>
            <WIDTH>15</WIDTH>
			<RELATION>VACATION_PROFILE</RELATION>
            <DESC_ENG>EVENTGRP</DESC_ENG>
            <DESC_THAI>รหัสทะเบียนการลา</DESC_THAI>
            <COMPONENT type="Text">
                <SIZE>15</SIZE>
                <MAXSIZE>15</MAXSIZE>
                <ALT_ENG>EVENTGRP</ALT_ENG>
                <ALT_THAI>รหัสทะเบียนการลา</ALT_THAI>
            </COMPONENT>
        </EVENTGRP>

		<STARTDATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Start Date</DESC_ENG>
			<DESC_THAI>วันที่เริ่มต้น</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Start Date</ALT_ENG>
				<ALT_THAI>วันที่เริ่มต้น</ALT_THAI>
			</COMPONENT>
		</STARTDATE>

		<ENDDATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>End Date</DESC_ENG>
			<DESC_THAI>วันที่สิ้นสุด</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>End Date</ALT_ENG>
				<ALT_THAI>วันที่สิ้นสุด</ALT_THAI>
			</COMPONENT>
		</ENDDATE>

		<YOS lang="A" encrypt="false" log="false" type="String">
			<WIDTH>50</WIDTH>
			<DESC_ENG>YOS</DESC_ENG>
			<DESC_THAI>YEAR OF SERVICE อายุงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>50</MAXSIZE>
				<SIZE>20</SIZE>
				<ALT_ENG>YOS</ALT_ENG>
				<ALT_THAI>YEAR OF SERVICE อายุงาน</ALT_THAI>
			</COMPONENT>
		</YOS>
		
		<LAST_YEAR lang="A" encrypt="false" log="false" type="String">
			<WIDTH>50</WIDTH>
			<DESC_ENG>LAST_YEAR</DESC_ENG>
			<DESC_THAI>สิทธิในการลาของพนักงานปีที่ผ่านมา</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>50</MAXSIZE>
				<SIZE>20</SIZE>
				<ALT_ENG>LAST_YEAR</ALT_ENG>
				<ALT_THAI>สิทธิในการลาของพนักงานปีที่ผ่านมา</ALT_THAI>
			</COMPONENT>
		</LAST_YEAR>
		
		<THIS_YEAR lang="A" encrypt="false" log="false" type="String">
			<WIDTH>50</WIDTH>
			<DESC_ENG>THIS_YEAR</DESC_ENG>
			<DESC_THAI>สิทธิในการลาของพนักงานในปีปัจจุบัน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>50</MAXSIZE>
				<SIZE>20</SIZE>
				<ALT_ENG>THIS_YEAR</ALT_ENG>
				<ALT_THAI>สิทธิในการลาของพนักงานในปีปัจจุบัน</ALT_THAI>
			</COMPONENT>
		</THIS_YEAR>

		<SALARY lang="A" encrypt="false" log="false" type="String">
            <WIDTH>50</WIDTH>
            <DESC_ENG>SALARY</DESC_ENG>
            <DESC_THAI>เงินเดือน</DESC_THAI>
            <COMPONENT type="Text">
                <SIZE>50</SIZE>
                <MAXSIZE>50</MAXSIZE>
                <ALT_ENG>SALARY</ALT_ENG>
                <ALT_THAI>เงินเดือน</ALT_THAI>
            </COMPONENT>
        </SALARY>
		
		<DAILY_WAGE lang="A" encrypt="false" log="false" type="String">
            <WIDTH>50</WIDTH>
            <DESC_ENG>DAILY_WAGE</DESC_ENG>
            <DESC_THAI>รายได้ต่อวัน</DESC_THAI>
            <COMPONENT type="Text">
                <SIZE>50</SIZE>
                <MAXSIZE>50</MAXSIZE>
                <ALT_ENG>DAILY_WAGE</ALT_ENG>
                <ALT_THAI>รายได้ต่อวัน</ALT_THAI>
            </COMPONENT>
        </DAILY_WAGE>
		
		<AS_OF_PERIOD lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>AS_OF_PERIOD</DESC_ENG>
			<DESC_THAI>ยอดสิทธิการลาในงวด</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>AS_OF_PERIOD</ALT_ENG>
				<ALT_THAI>ยอดสิทธิการลาในงวด</ALT_THAI>
			</COMPONENT>
		</AS_OF_PERIOD>

		<THIS_PERIOD lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>THIS_PERIOD</DESC_ENG>
			<DESC_THAI>สิทธิในการลาของพนักงาน ณ งวดปัจจุบัน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>THIS_PERIOD</ALT_ENG>
				<ALT_THAI>สิทธิในการลาของพนักงาน ณ งวดปัจจุบัน</ALT_THAI>
			</COMPONENT>
		</THIS_PERIOD>
		
		<THIS_PERIOD_AMOUNT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>20</WIDTH>
			<DESC_ENG>THIS_PERIOD_AMOUNT</DESC_ENG>
			<DESC_THAI>THIS_PERIOD_AMOUNT</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>20</MAXSIZE>
				<SIZE>20</SIZE>
				<ALT_ENG>THIS_PERIOD_AMOUNT</ALT_ENG>
				<ALT_THAI>THIS_PERIOD_AMOUNT</ALT_THAI>
			</COMPONENT>
		</THIS_PERIOD_AMOUNT>
		
		<TOTAL lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>TOTAL</DESC_ENG>
			<DESC_THAI>สิทธิในการลาของพนักงานตั้งแต่ต้นปีจนถึงเดือนที่ยกยอดมา</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>TOTAL</ALT_ENG>
				<ALT_THAI>สิทธิในการลาของพนักงานตั้งแต่ต้นปีจนถึงเดือนที่ยกยอดมา</ALT_THAI>
			</COMPONENT>
		</TOTAL>
		
		<TAKEN lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>TAKEN</DESC_ENG>
			<DESC_THAI>ยอดการลาของพนักงานตั้งแต่ต้นปีจนถึงเดือนปัจจุบัน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>TAKEN</ALT_ENG>
				<ALT_THAI>ยอดการลาของพนักงานตั้งแต่ต้นปีจนถึงเดือนปัจจุบัน</ALT_THAI>
			</COMPONENT>
		</TAKEN>
		
		<TAKEN_AMOUNT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>20</WIDTH>
			<DESC_ENG>TAKEN_AMOUNT</DESC_ENG>
			<DESC_THAI>TAKEN_AMOUNT</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>20</MAXSIZE>
				<SIZE>20</SIZE>
				<ALT_ENG>TAKEN_AMOUNT</ALT_ENG>
				<ALT_THAI>TAKEN_AMOUNT</ALT_THAI>
			</COMPONENT>
		</TAKEN_AMOUNT>
		
		<BALANCE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>BALANCE</DESC_ENG>
			<DESC_THAI>สิทธิในการลาของพนักงานในปีปัจจุบัน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>BALANCE</ALT_ENG>
				<ALT_THAI>สิทธิในการลาของพนักงานในปีปัจจุบัน</ALT_THAI>
			</COMPONENT>
		</BALANCE>
		
		<BALANCE_AMOUNT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>20</WIDTH>
			<DESC_ENG>BALANCE_AMOUNT</DESC_ENG>
			<DESC_THAI>BALANCE_AMOUNT</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>20</MAXSIZE>
				<SIZE>20</SIZE>
				<ALT_ENG>BALANCE_AMOUNT</ALT_ENG>
				<ALT_THAI>BALANCE_AMOUNT</ALT_THAI>
			</COMPONENT>
		</BALANCE_AMOUNT>
		
		<PLANNING lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>PLANNING</DESC_ENG>
			<DESC_THAI>ยอดการลาของพนักงานที่ใช้สิทธิเกินเดือนปัจจุบัน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>PLANNING</ALT_ENG>
				<ALT_THAI>ยอดการลาของพนักงานที่ใช้สิทธิเกินเดือนปัจจุบัน</ALT_THAI>
			</COMPONENT>
		</PLANNING>
		
		<AVAILABLE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>AVAILABLE</DESC_ENG>
			<DESC_THAI>สิทธิในการลาของพนักงานที่สามารถใช้ได้</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>AVAILABLE</ALT_ENG>
				<ALT_THAI>สิทธิในการลาของพนักงานที่สามารถใช้ได้</ALT_THAI>
			</COMPONENT>
		</AVAILABLE>
		
		<AS_AT_DATE lang="A" encrypt="false" log="false" type="String" reportdate="true">
			<WIDTH>10</WIDTH>
			<DESC_ENG>AS_AT_DATE</DESC_ENG>
			<DESC_THAI>บันทึก ณ วันที่</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>AS_AT_DATE</ALT_ENG>
				<ALT_THAI>บันทึก ณ วันที่</ALT_THAI>
			</COMPONENT>
		</AS_AT_DATE>
		
		<BU1 lang="A" encrypt="false" log="true" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>BU1</RELATION>
			<DESC_ENG>Business Unit 1</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 1</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 1</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 1</ALT_THAI>
			</COMPONENT>
		</BU1>
		
		<BU2 lang="A" encrypt="false" log="true" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>BU2</RELATION>
			<DESC_ENG>Business Unit 2</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 2</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 2</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 2</ALT_THAI>
			</COMPONENT>
		</BU2>
		
		<BU3 lang="A" encrypt="false" log="true" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>BU3</RELATION>
			<DESC_ENG>Business Unit 3</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 3</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 3</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 3</ALT_THAI>
			</COMPONENT>
		</BU3>
		
		<BU4 lang="A" encrypt="false" log="true" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>BU4</RELATION>
			<DESC_ENG>Business Unit 4</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 4</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 4</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 4</ALT_THAI>
			</COMPONENT>
		</BU4>
		
		<BU5 lang="A" encrypt="false" log="true" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>BU5</RELATION>
			<DESC_ENG>Business Unit 5</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 5</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 5</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 5</ALT_THAI>
			</COMPONENT>
		</BU5>
		
		<HOUR_D lang="A" encrypt="false" log="false" type="Double">
            <WIDTH>5</WIDTH>
            <DESC_ENG>Hour Per Day</DESC_ENG>
            <DESC_THAI>จำนวนชั่วโมงต่อวัน</DESC_THAI>
            <COMPONENT type="Text">
                <SIZE>5</SIZE>
                <MAXSIZE>5</MAXSIZE>
                <ALT_ENG>Hour Per Day</ALT_ENG>
                <ALT_THAI>จำนวนชั่วโมงต่อวัน</ALT_THAI>
				<!-- <ONFOCUS>this.select();</ONFOCUS> -->
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONBLUR>chkTime(this);</ONBLUR>
				<DEFAULTVALUE>0</DEFAULTVALUE>
            </COMPONENT>
        </HOUR_D>
		<USED lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>USED</DESC_ENG>
			<DESC_THAI>สิทธิการลาที่ใช้ไปในงวดนี้</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>USED</ALT_ENG>
				<ALT_THAI>สิทธิการลาที่ใช้ไปในงวดนี้</ALT_THAI>
			</COMPONENT>
		</USED>
		<COSTCENTER lang="A" encrypt="false" log="true" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MCOSTCENTER0</RELATION>
			<DESC_ENG>Cost Center</DESC_ENG>
			<DESC_THAI>รหัส Cost Center</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Cost Center</ALT_ENG>
				<ALT_THAI>รหัส Cost Center</ALT_THAI>
			</COMPONENT>
		</COSTCENTER>
	</FIELD>
	<RELATION>
	</RELATION>
</TVACATION_ACCRUAL>
